org.codehaus.plexus.util.cli

## Class StreamFeeder

- java.lang.Object
- - java.lang.Thread
  - - org.codehaus.plexus.util.cli.StreamFeeder

All Implemented Interfaces:
  Runnable

    public class StreamFeeder
    extends Thread

Read from an InputStream and write the output to an OutputStream.

Version:
  $Id: StreamFeeder.java 8695 2010-04-20 18:37:36Z bentmann $
Author:
  Trygve Laugstøl

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`StreamFeeder(InputStream input, OutputStream output)` Create a new StreamFeeder

### Method Summary

Methods
`void` `close()`
`boolean` `isDone()`
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamFeeder

    public StreamFeeder(InputStream input,
                OutputStream output)

Create a new StreamFeeder

Parameters:
  `input` - Stream to read from
  `output` - Stream to write to

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

#### close

    public void close()

#### isDone

    public boolean isDone()